<!-- 气象站24小时数据 -->
<template>
  <div class="equipInfo">
    <div>
      <el-table class="customTable" :data="data24" stripe style="width: 100%" :header-cell-style="{background:'#1b222f',color:'#ddd',borderBottom: '1px solid #7d7d7d'}" >
				<el-table-column prop="e" label="传感器通道"></el-table-column>
				<el-table-column prop="name" label="通道名称"></el-table-column>
				<el-table-column prop="min" label="最小值"></el-table-column>
				<el-table-column prop="mintime" label="最小时间" width="180px">
					<template v-if="scope.row.mintime" slot-scope="scope">{{
						(scope.row.mintime * 1000) | formatTime
					}}</template>
				</el-table-column>
				<el-table-column prop="max" label="最大值"></el-table-column>
				<el-table-column prop="maxtime" label="最大时间" width="180px">
					<template v-if="scope.row.maxtime" slot-scope="scope">{{
						(scope.row.maxtime * 1000) | formatTime
					}}</template>
				</el-table-column>
			</el-table>
    </div>
    
  </div>
</template>

<script>
//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
//例如：import 《组件名称》 from '《组件路径》';
import equipState_dict from './equipState_dict.json'
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
  },
  props: ["equipId", "equipType","d_id"],
  data() {
    //这里存放数据
    return {
      data24: [],
    };
  },
  //监听属性 类似于data概念
  computed: {},
  //监控data中的数据变化
  watch: {},
  //方法集合
  methods: {
    // 24小时数据
		get24List(id) {
			this.$axios({
				method: 'POST',
				url: '/api/api_gateway?method=weather.weather.qxz_day_data',
				data: this.qs.stringify({ device_id: id })
			}).then((res) => {
				let arr = new Array()
				let data = res.data.data.data
				if (data && data.length > 0) {
					for (let item of data) {
						arr.push({
							e: item.ekey,
							name: item.enum[1],
							min: item.min == '-99.99' ? 'N/A' : item.min,
							mintime: item.mintime,
							max: item.max == '-99.99' ? 'N/A' : item.max,
							maxtime: item.maxtime
						})
					}
					this.data24 = arr
				}
			})
		}
  },
  //生命周期 - 创建完成（可以访问当前this实例）
  created() {},
  //生命周期 - 挂载完成（可以访问DOM元素）
  mounted() {
    this.get24List(this.equipId)
  },
  beforeCreate() {}, //生命周期 - 创建之前
  beforeMount() {}, //生命周期 - 挂载之前
  beforeUpdate() {}, //生命周期 - 更新之前
  updated() {}, //生命周期 - 更新之后
  beforeDestroy() {}, //生命周期 - 销毁之前
  destroyed() {}, //生命周期 - 销毁完成
  activated() {} //如果页面有keep-alive缓存功能，这个函数会触发
};
</script>
<style scoped lang="less">
// table样式
/deep/.customTable.el-table tr,/deep/.customTable.el-table .headerth th.is-leaf{
    background-color: #1b222f;
    border-bottom: 1px solid #434343;
    color: #eee;
} 
/deep/.customTable.el-table--enable-row-hover .el-table__body tr:hover > td{
  background-color:#042741
}
/deep/.customTable.el-table th.is-leaf,/deep/.customTable.el-table td{
  border-bottom: 1px solid #515151;
}
/deep/.customTable.el-table--scrollable-x .el-table__body-wrapper{
    background-color: #1b222f;
    color: #eee;
}
/deep/.customTable.el-table .is-scrolling-none{
    background-color: #1b222f;
    color: #eee;
}
/deep/.customTable.el-table::before{
	background-color: #7d7d7d;
}
</style>